statistics-0.10.3.1: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Exponential

Contents

- Constructors
- Accessors

Description

The exponential distribution. This is the continunous probability distribution of the times between events in a poisson process, in which events occur continuously and independently at a constant average rate.

Synopsis

- data ExponentialDistribution
- exponential :: Double -> ExponentialDistribution
- exponentialFromSample :: Sample -> ExponentialDistribution
- edLambda :: ExponentialDistribution -> Double

# Documentation

data ExponentialDistribution

Instances

Eq ExponentialDistribution |
Read ExponentialDistribution |
Show ExponentialDistribution |
Typeable ExponentialDistribution |
ContGen ExponentialDistribution |
Variance ExponentialDistribution |
MaybeVariance ExponentialDistribution |
Mean ExponentialDistribution |
MaybeMean ExponentialDistribution |
ContDistr ExponentialDistribution |
Distribution ExponentialDistribution |

# Constructors

exponential

Arguments

:: Double | λ (scale) parameter.
-> ExponentialDistribution |

Create an exponential distribution.

exponentialFromSample :: Sample -> ExponentialDistribution

Create exponential distribution from sample. No tests are made to check whether it truly is exponential.

# Accessors

edLambda :: ExponentialDistribution -> Double